; TIP1009.LSP: CONDIM.LSP    Continuous DImensions   (c)1994, Philip Chan

(defun C:CHDIM () (condim "CONT" "HORI"))

(defun C:CVDIM () (condim "CONT" "VERT"))

(defun C:BHDIM () (condim "BASE" "HORI"))

(defun C:BVDIM () (condim "BASE" "VERT"))

(defun condim (CB HV / PT1 PT2 PT3)
   (setvar "CMDECHO" 0)
   (setq PT1 (getpoint "\nFirst Extension Line origin"))
   (setq PT2 (getpoint "\n2nd Extension Line origin"))
   (setq PT3 (getpoint "\nDimension location"))
   (command ".dim" HV PT1 PT2 PT3 "")
   (setq PT2 PT1)
   (while PT2
      (setq PT2 (getpoint (strcat "\n2nd Extension Line origin or "
      "press RETURN to terminate")))
      (command CB PT2 "")
   ) ;while
   (command nil nil)
   (setvar "CMDECHO" 1)
   (princ "\n\n")
   (princ)
) ;def

(defun C:CONDIM ()
   (if (eq HOVER nil) (setq HOVER "H"))
   (setq HV (substr (strcase (getstring (strcat "\nHori.or Vert. < "
   hover " >:   "))) 1 1))
   (if (eq HV "") (setq HV HOVER))
   (setq HOVER HV)
   (if (eq HV "V") 
      (setq HV "VERT")
      (setq HV "HORI")
   )
   (if (eq CBX nil) (setq CBX "C"))
   (setq CB (substr (strcase (getstring (strcat "\nCont or Base < "
   CBX " >:   "))) 1 1))
   (if (eq CB "") (setq CB CBX))
   (setq CBX CB)
   (if (eq CB "C") 
      (setq CB "CONT")
      (setq CB "BASE")
   )
   (condim CB HV)
); end condim.lsp
